osmo_sockaddr_str Struct Reference
IP address/port utilities.

`#include <sockaddr_str.h>`

## Data Fields

int | af
| AF_INET for IPv4 address, or AF_INET6 for IPv6 address. More...
char | ip [INET6_ADDRSTRLEN]
| NUL terminated string of the IPv4 or IPv6 address. More...
uint16_t | port
| Port number. More...

## Field Documentation

## af

int osmo_sockaddr_str::af

AF_INET for IPv4 address, or AF_INET6 for IPv6 address.

## ip

char osmo_sockaddr_str::ip[INET6_ADDRSTRLEN]

NUL terminated string of the IPv4 or IPv6 address.

Referenced by osmo_sock_init_osa().

## port

uint16_t osmo_sockaddr_str::port

Port number.

Referenced by osmo_sock_init_osa().

The documentation for this struct was generated from the following file:

- include/osmocom/core/sockaddr_str.h